# std::greater_equal< _Tp > Struct Template Reference
[Comparison Classes]

Inheritance diagram for std::greater_equal< _Tp >:

List of all members.

## Detailed Description

### template<class _Tp>
struct std::greater_equal< _Tp >

Definition at line 232 of file stl_function.h.

## Public Types

- typedef _Tp first_argument_type
- typedef bool result_type
- typedef _Tp second_argument_type

## Public Member Functions

- bool operator() (const _Tp &__x, const _Tp &__y) const

## Member Typedef Documentation

typedef _Tp std::binary_function< _Tp , _Tp , bool >::first_argument_type`[inherited]`

the type of the first argument

Definition at line 116 of file stl_function.h.

typedef bool std::binary_function< _Tp , _Tp , bool >::result_type`[inherited]`

type of the return type

Definition at line 120 of file stl_function.h.

typedef _Tp std::binary_function< _Tp , _Tp , bool >::second_argument_type`[inherited]`

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h